# TSRPC Server

## Usage
### Local dev server

Dev server would restart automatically when code changed.

```
npm run dev
```

### Run unit Test
Execute `npm run dev` first, then execute:
```
npm run test
```

### Build
```
npm run build
```

---

## Additional Scripts

### Generate API document

Generate API document in swagger/openapi and markdown format.

```shell
npm run doc
```

### Generate ServiceProto
```
npm run proto
```

### Generate API templates
```
npm run api
```

### Manually sync shared code

```
npm run sync
```